// ! 添加 export{} 的作用: 当前文件声明的类型是扩展, 而不是覆盖原先已存在的类型

// 声明 $filters 的类型
// https://cn.vuejs.org/guide/typescript/options-api.html#type-augmentation-placement
// declare module '@vue/runtime-core' {
declare module 'vue' {
  interface ComponentCustomProperties {
    $filters: {
      dateFilter: (val: any, format?: string) => string
      relativeTimeFilter: (val: any) => string
    }
  }
}
export {}
