import Layout from '@/layout/layout.vue'

export default {
  path: '/user',
  component: Layout,
  redirect: '/user/manage',
  name: 'roleList',
  meta: {
    title: 'user',
    icon: 'personnel'
  },
  children: [
    {
      path: '/user/role',
      component: () => import('@/views/role-list/role-list.vue'),
      meta: {
        title: 'roleList',
        icon: 'role'
      }
    }
  ]
}
